
function p=center(p)

% function p=center(p)
%
%   Time align signals in p to their support centers


% matrix case

   for ii=1:length(p(:))
     p(ii)=scalar(p(ii));
   end
   

% scalar case

function p=scalar(p)

   t0 = p.d0*p.d(2);
   
   [ts,te] = support(p,0.5);
   tm = mean([ts;te]);
   
   p=split(p);
   
   for ii=1:length(p(:))
     p(ii) = translate(p(ii),t0-tm(ii));
   end
   
   p=join(p);
   