

function p = pulse_width(p,thresh)

% function p = pulse_width(p,thresh)
%
% Computes pulse width of signals in signal matrix p
%
% PW has resolution of sample period p.d(1)

% arg process

   if nargin<3, thresh=0.5; end

% do it
   
   units = getword(p.xlabel,-1,'(');
   
   p = sum(normalize(abs(p),inf)>thresh,1).*p.d(1);
   
   p.ylabel = sprintf('PW (%s',units);
   p.name   = 'PULSE WIDTH';
	




